# gcp::DocPropDlg Class Reference

`#include <gcp/docprop.h>`

Inheritance diagram for gcp::DocPropDlg:

List of all members.

## Public Member Functions

| DocPropDlg (Document *pDoc)
virtual | ~DocPropDlg ()
void | OnThemeNamesChanged ()
void | OnThemeChanged (Theme *theme)
void | OnTitleChanged (char const *title)
void | OnNameChanged (char const *title)
void | OnMailChanged (char const *title)
void | OnCommentsChanged (char const *title)

## Detailed Description

The document property dialog.

Definition at line 41 of file docprop.h.

## Constructor & Destructor Documentation

gcp::DocPropDlg::DocPropDlg | ( | Document * | pDoc | ) |

Parameters:

  | pDoc | the document.

Constructs a property dialog for pDoc.

virtual gcp::DocPropDlg::~DocPropDlg | ( |  | ) | `[virtual]`

The destructor.

## Member Function Documentation

void gcp::DocPropDlg::OnThemeNamesChanged | ( |  | ) |

Called by the framework to update themes names.

void gcp::DocPropDlg::OnThemeChanged | ( | Theme * | theme | ) |

Parameters:

  | theme | the new document theme.

Called by the framework when the theme changed.

void gcp::DocPropDlg::OnTitleChanged | ( | char const * | title | ) |

Parameters:

  | title | the new document title.

Called by the framework when the document title changed.

void gcp::DocPropDlg::OnNameChanged | ( | char const * | title | ) |

Parameters:

  | title | the new author name.

Called by the framework when the author name changed.

void gcp::DocPropDlg::OnMailChanged | ( | char const * | title | ) |

Parameters:

  | title | the new author mail.

Called by the framework when the author mail changed.

void gcp::DocPropDlg::OnCommentsChanged | ( | char const * | title | ) |

Parameters:

  | title | the new document comments.

Called by the framework when the document comments changed.

The documentation for this class was generated from the following file:

- docprop.h